View Single Post
  #1  
Old 19th December 2008, 23:15
MaticKrajnc MaticKrajnc is offline
Junior Member
 
Join Date: Oct 2007
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default Screw things up with python and need informations

Hi!
As I was talking to my friend he introduced me with some new stuff called django (this is new for me). I decided to give it a shot.

I use debian Etch (am a pasive user or how would i say that?). Off course python was already installed, but was at the version 2.4. The guide said that it is the best to work with python2.5 so I did a litlle thing:

apt-get install python2.5

Okey, stuff went great. I did everything as supposed and tried to run that example project, when I got some kind of error about version not supported. I used google to look for the solution and found something about creating a simlink to python2.5. I tried it and it did work. But something else went wrong and I (I'm sorry for beeign so dumb :S) deleted python with

apt-get remove python

From that moment on, I had a truouble installing it back. I keep getting errors like this:
/var/lib/dpkg/info/python2.4.postinst: line 14: /usr/bin/python2.4: No such file or directory

I tried to remove every single file of python and reinstalling it back, but now I am completely lost. I don't know what excatly have I done, but I have a hunch it can't be god. Can you please give me informations about tottaly remove and reinstall python. I am not an expert on linux, but I usualy use manuals and google to find a solution. Honestly, I am tottaly out of my mind on this one.

Thank in advance,
greets,
Matic
Reply With Quote
Sponsored Links